---
title: '<dl>: The Description List element'
slug: Web/HTML/Element/dl
tags:
  - Element
  - HTML
  - HTML grouping content
  - 'HTML:Flow content'
  - 'HTML:Palpable Content'
  - Reference
  - Web
---
<div>{{HTMLRef}}</div>

<p>The <strong>HTML <code>&lt;dl&gt;</code> </strong>element represents a description list. The element encloses a list of groups of terms (specified using the {{HTMLElement("dt")}} element) and descriptions (provided by {{HTMLElement("dd")}} elements). Common uses for this element are to implement a glossary or to display metadata (a list of key-value pairs).</p>

<div>{{EmbedInteractiveExample("pages/tabbed/dl.html", "tabbed-standard")}}</div>

<p class="hidden">The source for this interactive example is stored in a GitHub repository. If you'd like to contribute to the interactive examples project, please clone <a href="https://github.com/mdn/interactive-examples">https://github.com/mdn/interactive-examples </a> and send us a pull request.</p>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row"><a href="/en-US/docs/Web/Guide/HTML/Content_categories">Content categories</a></th>
   <td><a href="/en-US/docs/Web/Guide/HTML/Content_categories#Flow_content">Flow content</a>, and if the <code>&lt;dl&gt;</code> element's children include one name-value group, palpable content.</td>
  </tr>
  <tr>
   <th scope="row">Permitted content</th>
   <td>
    <p>Either: Zero or more groups each consisting of one or more {{HTMLElement("dt")}} elements followed by one or more {{HTMLElement("dd")}} elements, optionally intermixed with {{HTMLElement("script")}} and {{HTMLElement("template")}} elements.<br>
     Or: One or more {{HTMLElement("div")}} elements, optionally intermixed with {{HTMLElement("script")}} and {{HTMLElement("template")}} elements.</p>
   </td>
  </tr>
  <tr>
   <th scope="row">Tag omission</th>
   <td>{{no_tag_omission}}</td>
  </tr>
  <tr>
   <th scope="row">Permitted parents</th>
   <td>Any element that accepts <a href="/en-US/docs/Web/Guide/HTML/Content_categories#Flow_content">flow content</a>.</td>
  </tr>
  <tr>
   <th scope="row">Implicit ARIA role</th>
   <td><a href="https://www.w3.org/TR/html-aria/#dfn-no-corresponding-role">No corresponding role</a></td>
  </tr>
  <tr>
   <th scope="row">Permitted ARIA roles</th>
   <td>{{ARIARole("group")}}, <code><a href="/en-US/docs/Web/Accessibility/ARIA/Roles/List_role">list</a></code>, {{ARIARole("none")}}, {{ARIARole("presentation")}}</td>
  </tr>
  <tr>
   <th scope="row">DOM interface</th>
   <td>{{domxref("HTMLDListElement")}}</td>
  </tr>
 </tbody>
</table>

<h2 id="Attributes">Attributes</h2>

<p>This element only includes the <a href="/en-US/docs/Web/HTML/Global_attributes">global attributes</a>.</p>

<h2 id="Examples">Examples</h2>

<h3 id="Single_term_and_description">Single term and description</h3>

<pre class="brush: html notranslate">&lt;dl&gt;
  &lt;dt&gt;Firefox&lt;/dt&gt;
  &lt;dd&gt;
    A free, open source, cross-platform,
    graphical web browser developed by the
    Mozilla Corporation and hundreds of
    volunteers.
  &lt;/dd&gt;

  &lt;!-- Other terms and descriptions --&gt;
&lt;/dl&gt;
</pre>

<p>{{EmbedLiveSample("Single_term_and_description")}}</p>

<h3 id="Multiple_terms_single_description">Multiple terms, single description</h3>

<pre class="brush: html notranslate">&lt;dl&gt;
  &lt;dt&gt;Firefox&lt;/dt&gt;
  &lt;dt&gt;Mozilla Firefox&lt;/dt&gt;
  &lt;dt&gt;Fx&lt;/dt&gt;
  &lt;dd&gt;
    A free, open source, cross-platform,
    graphical web browser developed by the
    Mozilla Corporation and hundreds of
    volunteers.
  &lt;/dd&gt;

  &lt;!-- Other terms and descriptions --&gt;
&lt;/dl&gt;
</pre>

<p>{{EmbedLiveSample("Multiple_terms_single_description")}}</p>

<h3 id="Single_term_multiple_descriptions">Single term, multiple descriptions</h3>

<pre class="brush: html notranslate">&lt;dl&gt;
  &lt;dt&gt;Firefox&lt;/dt&gt;
  &lt;dd&gt;
    A free, open source, cross-platform,
    graphical web browser developed by the
    Mozilla Corporation and hundreds of
    volunteers.
  &lt;/dd&gt;
  &lt;dd&gt;
    The Red Panda also known as the Lesser
    Panda, Wah, Bear Cat or Firefox, is a
    mostly herbivorous mammal, slightly larger
    than a domestic cat (60 cm long).
  &lt;/dd&gt;

  &lt;!-- Other terms and descriptions --&gt;
&lt;/dl&gt;
</pre>

<p>{{EmbedLiveSample("Single_term_multiple_descriptions")}}</p>

<h3 id="Multiple_terms_and_descriptions">Multiple terms and descriptions</h3>

<p>It is also possible to define multiple terms with multiple corresponding descriptions, by combining the examples above.</p>

<h3 id="Metadata">Metadata</h3>

<p>Description lists are useful for displaying metadata as a list of key-value pairs.</p>

<pre class="brush: html notranslate">&lt;dl&gt;
  &lt;dt&gt;Name&lt;/dt&gt;
  &lt;dd&gt;Godzilla&lt;/dd&gt;
  &lt;dt&gt;Born&lt;/dt&gt;
  &lt;dd&gt;1952&lt;/dd&gt;
  &lt;dt&gt;Birthplace&lt;/dt&gt;
  &lt;dd&gt;Japan&lt;/dd&gt;
  &lt;dt&gt;Color&lt;/dt&gt;
  &lt;dd&gt;Green&lt;/dd&gt;
&lt;/dl&gt;
</pre>

<p>Tip: It can be handy to define a key-value separator in the CSS, such as:</p>

<pre class="brush: css notranslate">dt::after {
  content: ": ";
}</pre>

<h3 id="Wrapping_name-value_groups_in_HTMLElementdiv_elements">Wrapping name-value groups in {{HTMLElement("div")}} elements</h3>

<p><a href="/en-US/docs/Glossary/WHATWG">WHATWG</a> HTML allows wrapping each name-value group in a {{HTMLElement("dl")}} element in a {{HTMLElement("div")}} element. This can be useful when using <a href="/en-US/docs/Web/HTML/Microdata">microdata</a>, or when <a href="/en-US/docs/Web/HTML/Global_attributes">global attributes</a> apply to a whole group, or for styling purposes.</p>

<pre class="brush: html notranslate">&lt;dl&gt;
  &lt;div&gt;
    &lt;dt&gt;Name&lt;/dt&gt;
    &lt;dd&gt;Godzilla&lt;/dd&gt;
  &lt;/div&gt;
  &lt;div&gt;
    &lt;dt&gt;Born&lt;/dt&gt;
    &lt;dd&gt;1952&lt;/dd&gt;
  &lt;/div&gt;
  &lt;div&gt;
    &lt;dt&gt;Birthplace&lt;/dt&gt;
    &lt;dd&gt;Japan&lt;/dd&gt;
  &lt;/div&gt;
  &lt;div&gt;
    &lt;dt&gt;Color&lt;/dt&gt;
    &lt;dd&gt;Green&lt;/dd&gt;
  &lt;/div&gt;
&lt;/dl&gt;
</pre>

<h2 id="Notes">Notes</h2>

<p>Do not use this element (nor {{HTMLElement("ul")}} elements) to merely create indentation on a page. Although it works, this is a bad practice and obscures the meaning of description lists.</p>

<p>To change the indentation of a description term, use the <a href="/en-US/docs/Web/CSS">CSS</a> {{cssxref("margin")}} property.</p>

<h2 id="Accessibility_concerns">Accessibility concerns</h2>

<p>Each screen reader announces <code>&lt;dl&gt;</code> content differently. Some screen readers, such as VoiceOver on iOS, will not announce that <code>&lt;dl&gt;</code> content is a list. Because of this, make sure each list item's content is written in such a way that it communicates its relationship to the other list items in the list grouping.</p>

<ul>
 <li><a href="https://codepen.io/aardrian/debug/NzGaKP">CodePen - HTML Buddies: dt &amp; dd</a></li>
</ul>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('HTML WHATWG', 'semantics.html#the-dl-element', '&lt;dl&gt;')}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
   <td></td>
  </tr>
  <tr>
   <td>{{SpecName('HTML5 W3C', 'grouping-content.html#the-dl-element', '&lt;dl&gt;')}}</td>
   <td>{{Spec2('HTML5 W3C')}}</td>
   <td></td>
  </tr>
  <tr>
   <td>{{SpecName('HTML4.01', 'struct/lists.html#h-10.3', '&lt;dl&gt;')}}</td>
   <td>{{Spec2('HTML4.01')}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("html.elements.dl")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{HTMLElement("dt")}} element</li>
 <li>{{HTMLElement("dd")}} element</li>
</ul>
